Status
These API endpoints allow you to check the statuses of your Inbox and installed Plugins.
get
Check the health status(es) of your inbox
Authorizations
AuthorizationstringRequired
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
Responses
200Success
application/json
check_namestringRead-onlyRequired
is_okbooleanRequired
messagestringRequired
get/api/v1/status/health/
GET /api/v1/status/health/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
200Success
[
{
"check_name": "text",
"is_ok": true,
"message": "text"
}
]get
Get the status of this inbox instance.
Authorizations
AuthorizationstringRequired
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
Responses
200Success
application/json
waba_stack_configuredbooleanRequired
waba_stack_connection_stablebooleanRequired
last_interactionnumber · double · nullableRequired
get/api/v1/status/instance/
GET /api/v1/status/instance/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
200Success
[
{
"waba_stack_configured": true,
"waba_stack_connection_stable": true,
"last_interaction": 1
}
]Last updated
Was this helpful?